Subject: Re: Unresolved issues #3

From: A Large Angry SCM <[email-masked]>
Date: Thu, 17 Aug 2006 21:49:54 -0700

Junio C Hamano wrote:
...
> * "A Large Angry SCM" wrote a nice summary, "Git files data
>   formats documentation".
> 
>   Message-ID: <[email-masked]>
> 
>   With one final update by Nico yesterday, I think it is ready
>   for inclusion.
> 
>   Does somebody care to make a patch out of it to add it to
>   Documentation/technical/, maybe removing pack-format.txt there
>   after making sure all it talks about is covered by the new
>   documentation?
> 
>   I do not have enough "virginity" to spot omissions in the
>   description anymore, so comments from somebody new to the
>   system are very much appreciated.
> 

Two things:

1) I disagree with Nico's assessment that, other than his, there can not
exist any type 2 packs that have bit 6 set to mean copy from result.

2) The document, if included into the core Git documentation, would be
viewed as more authoritative than it actually is. It's really just a set
of (structured) notes on various aspects of the files Git reads and
writes, pulled from various sources. Little or no attempt was made to
separate "implementation artifact" from intended structure.